## tiarra 20100212+r39209

=== Makefile ===
# -----------------------------------------------------------------------------
# $Id: Makefile 11380 2008-05-10 18:43:08Z topia $
# -----------------------------------------------------------------------------
update:
	svn up
	./makedoc

clean:
	find . \( -type d \( -name main -o -name module \) -prune -o -true \) -name \*\~ -print0 | xargs -0 rm -fv
	-zsh -c 'etags tiarra tiarra-conf.el tiarra-conf.l main/**/*.pm module/**/*.pm'

## tiarra 20100212

=== debian/changelog ===
tiarra (20100212-3) unstable; urgency=low

  * debian/tiarra-conf-el.*
    - fix it to proper install (Closes: #704875)
      Thanks to Andreas Beckmann <anbe@debian.org> 

 -- Hideki Yamane <henrich@debian.org>  Sun, 07 Apr 2013 12:52:04 +0900

tiarra (20100212-2) unstable; urgency=low

  * debian/copyright
    - clarify license for bundle library

 -- Hideki Yamane <henrich@debian.org>  Mon, 18 Feb 2013 07:52:53 +0900

tiarra (20100212-1) unstable; urgency=low

  * New upstream release (closes: #698887)
  * debian/dirs
    - change directory to /usr/share/tiarra
  * debian/install
    - install files as well as above
    - change from tiarra.install to just "install"
  * debian/docs
    - specify doc/*, not doc directory itself.
    - change from tiarra.docs to just docs.
  * debian/control
    - set "Standards-Version: 3.9.4"
    - add tiarra-conf-el package
    - fix "description-synopsis-might-not-be-phrased-properly" lintian warning
  * add debian/tiarra-conf-el.emacs* files
  * debian/rules
    - remove overriding dh_installdocs target
  * debian/copyright
    - update to copyright format 1.0
  * debian/source/format
    - use "3.0 (quilt)"

 -- Hideki Yamane <henrich@debian.org>  Sun, 13 Jan 2013 21:57:20 +0900

tiarra (20091019-1) unstable; urgency=low

  * New upstream release

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 05 Dec 2009 11:14:57 +0900

tiarra (0.20090206-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Mon, 17 Aug 2009 23:10:55 +0900

tiarra (0.20080510-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Sun, 11 May 2008 00:41:19 +0900

tiarra (0.20050624-2) unstable; urgency=low

  * Fix error "can't local enum.pm in @INC"
  * add doc/examples/all.conf doc/tiarra-conf.el

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Thu, 23 Mar 2006 09:58:57 +0900

tiarra (0.20050624-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Wed, 22 Mar 2006 16:23:25 +0900

tiarra (0.20050216-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Wed, 16 Feb 2005 19:55:34 +0900

tiarra (0.20040822-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Mon, 23 Aug 2004 13:37:26 +0900

tiarra (0.20040729-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Thu, 29 Jul 2004 17:01:33 +0900

tiarra (0.20040708-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Fri,  9 Jul 2004 00:19:03 +0900

tiarra (0.20040619-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Sat, 19 Jun 2004 20:00:27 +0900

tiarra (0.20040609-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Wed,  9 Jun 2004 18:34:47 +0900

tiarra (0.20040604-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Mon,  7 Jun 2004 13:40:48 +0900

tiarra (0.20040526-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Fri, 28 May 2004 11:02:30 +0900

tiarra (0.20040509-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Sun,  9 May 2004 13:11:53 +0900

tiarra (0.20040508-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Sat,  8 May 2004 17:20:35 +0900

tiarra (0.20040407-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Wed,  7 Apr 2004 21:17:01 +0900

tiarra (0.20040401-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Fri,  2 Apr 2004 11:12:05 +0900

tiarra (0.20040319-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Fri, 19 Mar 2004 23:20:32 +0900

tiarra (0.20040309-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Tue,  9 Mar 2004 17:10:50 +0900

tiarra (0.20040215-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Mon, 23 Feb 2004 14:59:11 +0900

tiarra (0.20040214-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Sat, 14 Feb 2004 23:52:32 +0900

tiarra (0.20040114-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Thu, 15 Jan 2004 13:47:30 +0900

tiarra (0.20031117-1) unstable; urgency=low

  * New upstream release
  * add Build-Depends: perl (>= 5.6.0)
  * add debian/handle_version.pl for "--dumpversion" option
  * add make-passwd command to /usr/bin/make-passwd.tiarra
  * rewrite /usr/bin/tiarra wrapper

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Mon, 17 Nov 2003 13:17:48 +0900

tiarra (0.20031109-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Sun,  9 Nov 2003 19:11:35 +0900

tiarra (0.20031108-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Sat,  8 Nov 2003 16:44:24 +0900

tiarra (0.20031024-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Fri, 31 Oct 2003 17:16:25 +0900

tiarra (0.20031015-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Thu, 16 Oct 2003 15:23:51 +0900

tiarra (0.20031014-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Tue, 14 Oct 2003 13:54:35 +0900

tiarra (0.20031012-1) unstable; urgency=low

  * New upstream release

 -- SAITO Naohiko <hu3n-situ@asahi-net.or.jp>  Sun, 12 Oct 2003 21:22:18 +0900

tiarra (0.20030925-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: tiarra
Section: net
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>> 7.0.50), perl (>= 5.6.0)
Standards-Version: 3.9.4

Package: tiarra
Architecture: all
Depends: perl (>= 5.6.0), libunicode-japanese-perl, ${misc:Depends}
Suggests: libio-socket-inet6-perl
Description: IRC proxy, stationing, logger and bot program (pirc)
 Tiarra can work as IRC proxy server, stationing on the IRC net with logging. 
 Also some bot plugins are included.

Package: tiarra-conf-el
Section: lisp
Architecture: all
Depends: ${misc:Depends}, emacs24 | emacsen
Description: edit mode for tiarra.conf
 Emacs mode for editing tiarra.conf.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tiarra

%:
	dh $@

override_dh_install:
	dh_install
	perl $(CURDIR)/debian/handle_version.pl $(DESTDIR)/usr/share/tiarra/tiarra
	install -m 755 debian/tiarra.wrapper $(DESTDIR)/usr/bin/tiarra
	install -m 755 debian/make-password.wrapper $(DESTDIR)/usr/bin/make-passwd.tiarra

override_dh_compress:
	dh_compress -X.conf

## tiarra 20100212%2Br39209

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tiarra

%:
	dh $@

override_dh_install:
	dh_install
	perl $(CURDIR)/debian/handle_version.pl $(DESTDIR)/usr/share/tiarra/tiarra

override_dh_compress:
	dh_compress -X.conf

## tiarra 20100212+r39209

=== debian/changelog ===
tiarra (20100212+r39209-3) unstable; urgency=medium

  * debian/patches
    - add 0002-perl-deprecations.patch: Fix "Unescaped left brace in regex
      breaks with Perl 5.26": add patch to escape the opening curlies.
      Thanks to gregor herrmann <gregoa@debian.org> (Closes: #826506)

 -- Hideki Yamane <henrich@debian.org>  Thu, 20 Jul 2017 20:09:49 +0900

tiarra (20100212+r39209-2) unstable; urgency=medium

  * debian/control
    - set Standards-Version: 4.0.0 
    - use https for Vcs-*
    - add Homepage: field
    - Build-Depends: debhelper (>= 10)
  * debian/compat
    - set 10
  * debian/watch
    - update to version 4

 -- Hideki Yamane <henrich@debian.org>  Sat, 15 Jul 2017 15:12:32 +0900

tiarra (20100212+r39209-1) unstable; urgency=medium

  * Upstream snapshot release (Closes: #809299)
    - Upstream just seems to forget releases to push some fixes out for years.
  * debian/patches
    - add 0001-don-t-run-svn-up-for-update.patch

 -- Hideki Yamane <henrich@debian.org>  Fri, 01 Jan 2016 13:30:18 +0900

tiarra (20100212-6) unstable; urgency=medium

  * use proper file name, s/emac-compat/tiarra-conf-el.emacen-compat/
  * debian/tiarra-conf-el.emacen-remove
    - fix proper package name (Closes: #775244)

 -- Hideki Yamane <henrich@debian.org>  Sat, 01 Aug 2015 23:40:41 +0900

tiarra (20100212-5) unstable; urgency=medium

  * debian/control
    - set Standards-Version: 3.9.6
    - fix Vcs-Browser
    - use "Depends: emacs" instead of specific Emacs version
  * debian/wrapper
    - rename "tiarra.wrapper -> tiarra"
    - rename "make-password.wrapper -> make-passwd.tiarra"
  * simplify debian/rules
  * debian/tiarra-conf-el.emacsen-startup
    - fix "M-x tiarra-conf-mode autoload error" (Closes: #710549)
      Thanks to Kevin Ryde <user42_kevin@yahoo.com.au>
    - fix "auto-mode-alist regexp \\'" (Closes: #710553)
      Thanks again, Kevin Ryde <user42_kevin@yahoo.com.au>

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 Jan 2015 16:53:42 +0900

tiarra (20100212-4) unstable; urgency=medium

  * debian/control
    - set Standards-Version: 3.9.5
    - upload source to alioth and add Vcs-* field

 -- Hideki Yamane <henrich@debian.org>  Sun, 08 Jun 2014 12:20:59 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>> 7.0.50), perl (>= 5.6.0)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 10), perl (>= 5.6.0)
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tiarra.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tiarra.git/
+Homepage: http://www.clovery.jp/tiarra/
 
 Package: tiarra
 Architecture: all
@@ -16,6 +19,6 @@
 Package: tiarra-conf-el
 Section: lisp
 Architecture: all
-Depends: ${misc:Depends}, emacs24 | emacsen
+Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs | emacsen
 Description: edit mode for tiarra.conf
  Emacs mode for editing tiarra.conf.

=== debian/watch ===
version=4

http://www.clovery.jp/@PACKAGE@/ \
 archive/.*/.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
